Summary: The GNU Scientific Library for numerical analysis
Name: gsl
Version: 1.15
Release: 1
URL: http://www.gnu.org/software/gsl/gsl.html
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
License: GPL 
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The GNU Scientific Library (GSL) is a collection of routines for
numerical analysis, written in C.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Static libraries and header files for GSL development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: info
Requires: /sbin/install-info

%description devel
The gsl-devel package contains the header files and static libraries
necessary for developing programs using the GSL (GNU Scientific
Library).

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp .libs/libgsl.so.0 .
cp cblas/.libs/libgslcblas.so.0 .
make distclean

# now build the 32-bit version
export CC=xlc
./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q .libs/libgsl.a ./libgsl.so.0
${AR} -q cblas/.libs/libgslcblas.a ./libgslcblas.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/gsl*info*

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%post devel
/sbin/install-info %{_infodir}/gsl-ref.info.gz %{_infodir}/dir || :


%preun devel 
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/gsl-ref.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/gsl-histogram
%{_bindir}/gsl-randist
%{_libdir}/*.a
%{_mandir}/man1/gsl-histogram.1
%{_mandir}/man1/gsl-randist.1
/usr/bin/gsl-histogram
/usr/bin/gsl-randist
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc AUTHORS COPYING
%{_bindir}/gsl-config*
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/gsl.pc
%{_infodir}/gsl*info*
%{_datadir}/aclocal/*
%{_mandir}/man1/gsl-config.1
%{_mandir}/man3/*
/usr/bin/gsl-config
/usr/include/*
/usr/lib/*.la


%changelog
* Sat May 07 2011 Michael Perzl <michael@perzl.org> - 1.15-1
- updated to version 1.15

* Wed Mar 10 2010 Michael Perzl <michael@perzl.org> - 1.14-1
- updated to version 1.14

* Thu Sep 10 2009 Michael Perzl <michael@perzl.org> - 1.13-1
- updated to version 1.13

* Tue Dec 30 2008 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Wed May 07 2008 Michael Perzl <michael@perzl.org> - 1.11-1
- updated to version 1.11

* Mon Dec 03 2007 Michael Perzl <michael@perzl.org> - 1.10-1
- First version for AIX V5.1 and higher
